<?php defined('BASEPATH') OR exit('No direct script access allowed');
class Users extends MY_Controller {
	public function __construct(){
		parent::__construct();
		$this->load->model('admin/user_model', 'user_model');
			$this->load->library('datatable'); // loaded my custom serverside datatable library
		}
		//-----------------------------------------------------------------------
		public function index(){
			$data['view'] = 'admin/users/user_list';
			$this->load->view('layout', $data);
		}
		//-----------------------------------------------------------------------
		public function datatable_json(){				   					   
			$records = $this->user_model->get_all_users();
			$data = array();
			$i = 0;
			foreach ($records['data']  as $row) 
			{  
				$status = ($row['is_active'] == 0)? 'inactive': 'active'.'<span>';
				$disabled = ($row['is_admin'] == 1)? 'disabled': ''.'<span>';
				$data[]= array(
					++$i,
					$row['username'],
					$row['email'].'<br><sub>'.$row['person_id'].'</sub>',
					date('F j, Y',strtotime($row['created_at'])),
					'<span class="btn bg-teal  waves-effect" title="status">'.getGroupyName($row['role']).'<span>',	// get Group name by ID (getGroupyName() is a helper function)
					'<span class="btn bg-blue  waves-effect" title="status">'.$status.'<span>',			
					
					'<a title="Visualizar" class="view btn btn-sm btn-info" href="'.base_url('admin/users/edit/'.$row['id']).'"> <i class="material-icons">visibility</i></a>
					<a title="Editar" class="update btn btn-sm btn-primary" href="'.base_url('admin/users/edit/'.$row['id']).'"> <i class="material-icons">edit</i></a>
					<a title="Apagar" class="delete btn btn-sm btn-danger '.$disabled.'" data-href="'.base_url('admin/users/del/'.$row['id']).'" data-toggle="modal" data-target="#confirm-delete"> <i class="material-icons">delete</i></a>
					',
					
				);
			}
			$records['data']=$data;
			echo json_encode($records);						   
		}
		//-----------------------------------------------------------------------
		public function add(){
			$data['user_groups'] = $this->user_model->get_user_groups();
			if($this->input->post('submit')){
				$this->form_validation->set_rules('username', 'Username', 'trim|min_length[3]|required');
				$this->form_validation->set_rules('firstname', 'Firstname', 'trim|required');
				$this->form_validation->set_rules('lastname', 'Lastname', 'trim|required');
				$this->form_validation->set_rules('email', 'Email', 'trim|valid_email|is_unique[ci_users.email]|required');
				//$this->form_validation->set_rules('mobile_no', 'Number', 'trim|required');
				$this->form_validation->set_rules('password', 'Password', 'trim|required');
				//$this->form_validation->set_rules('address', 'Address', 'trim');
				$this->form_validation->set_rules('group', 'Group', 'trim|required');
				if ($this->form_validation->run() == FALSE) {
					$data['view'] = 'admin/users/user_add';
					$this->load->view('layout', $data);
				}
				else{
			//echo base_url();

					if (!is_dir('uploads/' . $this->input->post('username')))
					{
						//echo 'teste';exit;
						mkdir('./uploads/' . $this->input->post('username'), 0777, true);
						$dir_exist = false; // dir not exist
					}
				
					$data = array(
						'username' => $this->input->post('username'),
						'firstname' => $this->input->post('firstname'),
						'lastname' => $this->input->post('lastname'),
						'email' => $this->input->post('email'),
						//'mobile_no' => $this->input->post('mobile_no'),
						//'address' => $this->input->post('address'),
						'password' =>  password_hash($this->input->post('password'), PASSWORD_BCRYPT),
						'role' => $this->input->post('group'),
						'is_verify' => 1,
						'created_at' => date('Y-m-d : h:m:s'),
						'updated_at' => date('Y-m-d : h:m:s'),
					);
					$data = $this->security->xss_clean($data);
					$result = $this->user_model->add_user($data);
					if($result){
						$this->session->set_flashdata('msg', 'User registered!');
						redirect(base_url('admin/users'));
					}
				}
			}
			else{
				$data['view'] = 'admin/users/user_add';
				$this->load->view('layout', $data);
			}
			
		}
		//-----------------------------------------------------------------------
		public function edit($id = 0){
			if($this->input->post('submit')){
				$this->form_validation->set_rules('username', 'Username', 'trim|required');
				$this->form_validation->set_rules('firstname', 'Username', 'trim|required');
				$this->form_validation->set_rules('lastname', 'Lastname', 'trim|required');
				$this->form_validation->set_rules('email', 'Email', 'trim|valid_email|required');
				//$this->form_validation->set_rules('mobile_no', 'Number', 'trim|required');
				$this->form_validation->set_rules('status', 'Status', 'trim|required');
				//$this->form_validation->set_rules('address', 'Address', 'trim');
				$this->form_validation->set_rules('group', 'Group', 'trim|required');

				if ($this->form_validation->run() == FALSE) {
					$data['user'] = $this->user_model->get_user_by_id($id);
					$data['user_groups'] = $this->user_model->get_user_groups();
					$data['view'] = 'admin/users/user_edit';
					$this->load->view('layout', $data);
				}else{
			//echo base_url();

					if (!is_dir('uploads/' . $this->input->post('username'))){
						//echo 'teste';exit;
						mkdir('./uploads/' . $this->input->post('username'), 0777, true);
						$dir_exist = false; // dir not exist
					}
					$data = array(
						'username' => $this->input->post('username'),
						'firstname' => $this->input->post('firstname'),
						'lastname' => $this->input->post('lastname'),
						'email' => $this->input->post('email'),
						//'mobile_no' => $this->input->post('mobile_no'),
						'role' => $this->input->post('group'),
						'is_verify' => 1,
						//'address' => $this->input->post('address'),
						'is_active' => $this->input->post('status'),
						'updated_at' => date('Y-m-d : h:m:s'),
					);
					if($this->input->post('password') !== ''){
						$data['password'] =  password_hash($this->input->post('password'), PASSWORD_BCRYPT);
					}
					//print_r($data);
					$data = $this->security->xss_clean($data);
					$result = $this->user_model->edit_user($data, $id);
					if($result){
						$this->session->set_flashdata('msg', 'User updated!');
						redirect(base_url('admin/users'));
					}
				}
			}else{
				$data['user'] = $this->user_model->get_user_by_id($id);
				$data['user_groups'] = $this->user_model->get_user_groups();
				$data['view'] = 'admin/users/user_edit';
				$this->load->view('layout', $data);
			}
		
		}
		//-----------------------------------------------------------------------
		public function edit_photo($id = 0){
			if($this->input->post('submit')){
				
		
				$data['user'] = $this->user_model->get_user_by_id($id);
				//print_r($data);exit;
				
				if (empty($_FILES['photo']['name'])) {

					$data['user_groups'] = $this->user_model->get_user_groups();
					$data['view'] = 'admin/users/user_edit';
					$this->load->view('layout', $data);
				}else{
									//	exit;		

					if (!is_dir('uploads/' . $data['user']['username'])){
						//echo 'teste';exit;
						mkdir('./uploads/' . $data['user']['username'], 0777, true);
             
					}
					$config['upload_path'] = './uploads/'.$data['user']['username'].'/';
					$config['allowed_types'] = 'gif|jpg|png';
					$config['file_name'] = time();
					//$config['max_size']     = '100';
					//$config['max_width'] = '1024';
					//$config['max_height'] = '768';


					$this->load->library('upload', $config);	
					if ($this->upload->do_upload('photo')) {
						$this->session->set_flashdata('msg', 'Photo registered!');
						redirect(base_url('admin/users/edit_photo/'.$id));
					}else{
						echo $this->upload->display_errors();exit;
					}

					$data = array(
						'username' => $this->input->post('username'),
						'firstname' => $this->input->post('firstname'),
						'lastname' => $this->input->post('lastname'),
						'email' => $this->input->post('email'),
						//'mobile_no' => $this->input->post('mobile_no'),						
						'role' => $this->input->post('group'),
						'is_verify' => 1,
						//'address' => $this->input->post('address'),
						'is_active' => $this->input->post('status'),
						'updated_at' => date('Y-m-d : h:m:s'),
					);
					if($this->input->post('password') !== ''){
						$data['password'] =  password_hash($this->input->post('password'), PASSWORD_BCRYPT);
					}
					$data = $this->security->xss_clean($data);
					$result = $this->user_model->edit_user($data, $id);
					if($result){
						$this->session->set_flashdata('msg', 'User Updated!');
						redirect(base_url('admin/users'));
					}
				}
			}else{
				$data['user'] = $this->user_model->get_user_by_id($id);
				$data['user_groups'] = $this->user_model->get_user_groups();
				$data['view'] = 'admin/users/user_edit';
				$this->load->view('layout', $data);
			}
		}
		//-----------------------------------------------------------------------
		public function del($id = 0){
			$this->db->delete('ci_users', array('id' => $id));
			$this->session->set_flashdata('msg', 'User removed!');
			redirect(base_url('admin/users'));
		}
		//-----------------------------------------------------------------------
		public function addPersonId($id = 0){
			$personId = $this->input->post('personId');
			$result = $this->user_model->edit_user(array('person_id' => $personId), $id);
			//$this->session->set_flashdata('msg', 'Usuário deletado!');
			//redirect(base_url('admin/users'));
			echo 'Person Id created';
		}
		public function addPersonFaceOk($username = 'noname'){
			$pFaceId = $this->input->post('pFaceId');
			$url = $this->input->post('url');
			$url = explode('/',$url);
			$name = $url[(sizeof($url)-1)];
			rename('uploads/'.$username.'/'.$name, 'uploads/'.$username.'/'.$pFaceId.'.jpg');
			//$result = $this->user_model->edit_user(array('person_id' => $personId), $id);
			//$this->session->set_flashdata('msg', 'Usuário deletado!');
			//redirect(base_url('admin/users'));
			echo 'File renamed';
		}
		public function addWebCamPhoto($username = 'noname'){

			if (strlen($_POST['uploadFile']) > 0) {
				$target_path = "uploads/".$username.'/';
				$content = $_POST['uploadFile'];
				list($type, $data) = explode(';', $content);
				list(, $data) = explode(',', $data);
				$data = base64_decode($data);


				$faceId = time().".jpg";
				$target_path = $target_path . $faceId;
				if (file_put_contents($target_path, $data) !== false) {
					echo "upload";//"http://{$_SERVER['HTTP_HOST']}/{$target_path}";
				}else{
					echo 'error';
				}

			}
		}

	}
?>