<?php defined('BASEPATH') OR exit('No direct script access allowed');
class Users extends MY_Controller {
	public function __construct(){
		parent::__construct();
		$this->load->model('admin/user_model', 'user_model');
			$this->load->library('datatable'); // loaded my custom serverside datatable library
		}
		//-----------------------------------------------------------------------
		public function index(){
			$data['view'] = 'admin/users/user_list';
			$this->load->view('layout', $data);
		}
		//-----------------------------------------------------------------------
		public function datatable_json(){				   					   
			$records = $this->user_model->get_all_users();
			$data = array();
			$i = 0;
			foreach ($records['data']  as $row) 
			{  
				$status = ($row['is_active'] == 0)? 'inactive': 'active'.'<span>';
				$disabled = ($row['is_admin'] == 1)? 'disabled': ''.'<span>';
				$data[]= array(
					++$i,
					$row['firstname'],
					$row['is_admin'] ? '--' : $row['password'],
					date('F j, Y',strtotime($row['created_at'])),
					'<span class="btn bg-teal  waves-effect" title="status">'.getGroupyName($row['role']).'<span>',	// get Group name by ID (getGroupyName() is a helper function)
					'<span class="btn bg-blue  waves-effect" title="status">'.$status.'<span>',			
					
					'<a title="Visualizar" class="view btn btn-sm btn-info" href="'.base_url('admin/users/edit/'.$row['id']).'"> <i class="material-icons">visibility</i></a>
					<a title="Editar" class="update btn btn-sm btn-primary" href="'.base_url('admin/users/edit/'.$row['id']).'"> <i class="material-icons">edit</i></a>
					<a title="Apagar" class="delete btn btn-sm btn-danger '.$disabled.'" data-href="'.base_url('admin/users/del/'.$row['id']).'" data-toggle="modal" data-target="#confirm-delete"> <i class="material-icons">delete</i></a>
					',
					
				);
			}
			$records['data']=$data;
			echo json_encode($records);						   
		}
		//-----------------------------------------------------------------------
		public function add(){
			$data['user_groups'] = $this->user_model->get_user_groups();
			if($this->input->post('submit')){
				//$this->form_validation->set_rules('username', 'Username', 'trim|min_length[3]|required');
				$this->form_validation->set_rules('firstname', 'Firstname', 'trim|required');
				//$this->form_validation->set_rules('lastname', 'Lastname', 'trim|required');
				//$this->form_validation->set_rules('email', 'Email', 'trim|valid_email|is_unique[ci_users.email]|required');
				//$this->form_validation->set_rules('mobile_no', 'Number', 'trim|required');
				$this->form_validation->set_rules('password', 'Pin', 'trim|required');
				//$this->form_validation->set_rules('address', 'Address', 'trim');
				$this->form_validation->set_rules('group', 'Group', 'trim|required');
				if ($this->form_validation->run() == FALSE) {
					$data['view'] = 'admin/users/user_add';
					$this->load->view('layout', $data);
				}
				else{
			//echo base_url();

/* 					if (!is_dir('uploads/' . $this->input->post('username')))
					{
						//echo 'teste';exit;
						mkdir('./uploads/' . $this->input->post('username'), 0777, true);
						$dir_exist = false; // dir not exist
					} */
				
					$data = array(
						'firstname' => $this->input->post('firstname'),
						'password' =>  $this->input->post('password'),
						'role' => $this->input->post('group'),
						'is_verify' => 1,
						'created_at' => date('Y-m-d : h:m:s'),
						'updated_at' => date('Y-m-d : h:m:s'),
					);
					$data = $this->security->xss_clean($data);
					$result = $this->user_model->add_user($data);
					if($result){
						$this->session->set_flashdata('msg', 'User registered!');
						redirect(base_url('admin/users'));
					}
				}
			}
			else{
				$data['view'] = 'admin/users/user_add';
				$this->load->view('layout', $data);
			}
			
		}
		//-----------------------------------------------------------------------
		public function edit($id = 0){
			if($this->input->post('submit')){
				//$this->form_validation->set_rules('username', 'Username', 'trim|required');
				$this->form_validation->set_rules('firstname', 'Username', 'trim|required');
				$this->form_validation->set_rules('password', 'Pin', 'trim|required');
				//$this->form_validation->set_rules('lastname', 'Lastname', 'trim|required');
				//$this->form_validation->set_rules('email', 'Email', 'trim|valid_email|required');
				//$this->form_validation->set_rules('mobile_no', 'Number', 'trim|required');
				$this->form_validation->set_rules('status', 'Status', 'trim|required');
				//$this->form_validation->set_rules('address', 'Address', 'trim');
				$this->form_validation->set_rules('group', 'Group', 'trim|required');

				if ($this->form_validation->run() == FALSE) {
					$data['user'] = $this->user_model->get_user_by_id($id);
					$data['user_groups'] = $this->user_model->get_user_groups();
					$data['view'] = 'admin/users/user_edit';
					$this->load->view('layout', $data);
				}else{
			//echo base_url();

					if (!is_dir('uploads/' . $id)){
						//echo 'teste';exit;
						mkdir('./uploads/' . $id, 0777, true);
						$dir_exist = false; // dir not exist
					}
					$data = array(
						'firstname' => $this->input->post('firstname'),
						'role' => $this->input->post('group'),
						'is_verify' => 1,
						'is_active' => $this->input->post('status'),
						'updated_at' => date('Y-m-d : h:m:s'),
					);
					if($this->input->post('password') !== ''){
						$data['password'] = $this->input->post('password');
					}
					//print_r($data);
					$data = $this->security->xss_clean($data);
					$result = $this->user_model->edit_user($data, $id);
					if($result){
						$this->session->set_flashdata('msg', 'User updated!');
						redirect(base_url('admin/users'));
					}
				}
			}else{
				$data['user'] = $this->user_model->get_user_by_id($id);
				$data['user_groups'] = $this->user_model->get_user_groups();
				$data['view'] = 'admin/users/user_edit';
				print_r($data['user']);
				$this->load->view('layout', $data);
			}
		
		}
		//-----------------------------------------------------------------------
		public function edit_photo($id = 0){
			if($this->input->post('submit')){
				//print_r($_FILES['photo']);
		
				$data['user'] = $this->user_model->get_user_by_id($id);
				//print_r($data);exit;
				
				if (empty($_FILES['photo']['name'])) {

					$data['user_groups'] = $this->user_model->get_user_groups();
					$data['view'] = 'admin/users/user_edit';
					$this->load->view('layout', $data);
				}else{
									//	exit;		

					if (!is_dir('uploads/' . $data['user']['id'])){
						//echo 'teste';exit;
						mkdir('./uploads/' . $data['user']['id'], 0777, true);
             
					}
					if (sizeof($_FILES['photo']) > 0) {
						$target_path = "uploads/".$data['user']['id'].'/';
		
						$faceId = time().".jpg";
						$target_path = $target_path . $faceId;
						//print_r($target_path);
						//exit;
						

						if (move_uploaded_file($_FILES["photo"]["tmp_name"],$target_path) !== false) {
							//print_r( $data['user']);//"http://{$_SERVER['HTTP_HOST']}/{$target_path}";
							redirect(base_url('admin/users/edit/'.$data['user']['id']));
						}else{
							echo 'error';
						}
		
					}
				}
			}else{
				$data['user'] = $this->user_model->get_user_by_id($id);
				$data['user_groups'] = $this->user_model->get_user_groups();
				$data['view'] = 'admin/users/user_edit';
				$this->load->view('layout', $data);
			}
		}
		//-----------------------------------------------------------------------
		public function del($id = 0){
			$this->db->delete('ci_users', array('id' => $id));
			$this->session->set_flashdata('msg', 'User removed!');
			redirect(base_url('admin/users'));
		}
		//-----------------------------------------------------------------------
		public function addPersonId($id = 0){
			$personId = $this->input->post('personId');
			$result = $this->user_model->edit_user(array('person_id' => $personId), $id);
			//$this->session->set_flashdata('msg', 'Usuário deletado!');
			//redirect(base_url('admin/users'));
			echo 'Person Id created';
		}
		public function addPersonFaceOk($username = 'noname'){
			$pFaceId = $this->input->post('pFaceId');
			$url = $this->input->post('url');
			$url = explode('/',$url);
			$name = $url[(sizeof($url)-1)];
			rename('uploads/'.$username.'/'.$name, 'uploads/'.$username.'/'.$pFaceId.'.jpg');
			//$result = $this->user_model->edit_user(array('person_id' => $personId), $id);
			//$this->session->set_flashdata('msg', 'Usuário deletado!');
			//redirect(base_url('admin/users'));
			echo 'File renamed';
		}
		public function addWebCamPhoto($userId = 'noname'){

			if (strlen($_POST['uploadFile']) > 0) {

				if (!is_dir('uploads/' . $userId. '//api/'))
					{
						//echo 'teste';exit;
						mkdir('./uploads/' . $userId . '//api/', 0777, true);
						$dir_exist = false; // dir not exist
					}
				$target_path = "uploads/".$userId.'//api/';
				$content = $_POST['uploadFile'];
				list($type, $data) = explode(';', $content);
				list(, $data) = explode(',', $data);
				$data = base64_decode($data);


				$faceId = $_POST['faceId'].".jpg";
				$target_path = $target_path . $faceId;
				if (file_put_contents($target_path, $data) !== false) {
					echo "upload";//"http://{$_SERVER['HTTP_HOST']}/{$target_path}";
				}else{
					echo 'error';
				}

			}
		}

		public function deleteImage($data){
			//print_r($data);
			//exit;


				$dataArray = explode('__', $data);
				$target_path = "uploads/".$dataArray[0].'//api/';
				unlink($target_path.$dataArray[1]);
				redirect(base_url('admin/users/edit/'.$dataArray[0]));

/* 				if (unlink($target_path.$dataArray[1]) !== false) {
					echo "deleted";//"http://{$_SERVER['HTTP_HOST']}/{$target_path}";
				}else{
					echo 'error';
				} */

		}

	}
?>