<?php
	class Reports_model extends CI_Model{

		//---------------------------------------------------
		// get all users for server-side datatable processing (ajax based)
		public function get_all_users(){
			$wh =array();
			$SQL ='SELECT * FROM ci_users';
			$wh[] = " is_admin = 0";
			if(count($wh)>0)
			{
				$WHERE = implode(' and ',$wh);
				return $this->datatable->LoadJson($SQL,$WHERE); // datatable->LoadJson() is a function in datatables custom library
			}
			else
			{
				return $this->datatable->LoadJson($SQL);
			}
		}

		//---------------------------------------------------
		// get all user records for simple datatable example
		public function get_all_simple_users($dateStart, $dateEnd){

			$sqlReport = "SELECT 
				u.id,
				u.username,
				u.firstname,
				u.lastname,
				COALESCE((
					SELECT SEC_TO_TIME(SUM(TIMESTAMPDIFF(SECOND, t.clockIn, t.clockOut)))
					FROM time_tracking t
					WHERE t.employeID = u.id
					AND t.clockIn >= '$dateStart 00:00:00'  -- Data de início
					AND t.clockOut <= '$dateEnd 23:59:59' -- Data de fim
				), '00:00:00') AS horasMin,
				format(COALESCE((
					SELECT SUM(TIMESTAMPDIFF(SECOND, t.clockIn, t.clockOut)) / 3600
					FROM time_tracking t
					WHERE t.employeID = u.id
					AND t.clockIn >= '$dateStart 00:00:00'  -- Data de início
					AND t.clockOut <= '$dateEnd 23:59:59' -- Data de fim
				), 0), 2) AS horas
				FROM 
					ci_users u
				WHERE 
					u.is_admin = 0;";
		//print_r($sql);
			$result = $this->db->query($sqlReport);
/* 			$this->db->order_by('created_at', 'desc');
			$query = $this->db->get('ci_users'); */
			return  $result->result_array();
		}

		public function get_report_by_user($dateStart, $dateEnd, $id){
			if($id == 0) $id = '%';
			$sqlReport = "SELECT 
				u.firstname,
				t.time_trackingID as tid,
				t.clockIn,
				t.clockOut,
				SEC_TO_TIME(TIMESTAMPDIFF(SECOND, t.clockIn, t.clockOut)) AS horasMin,
				TIMESTAMPDIFF(SECOND, t.clockIn, t.clockOut) / 3600 AS horas
			FROM 
				ci_users u
			LEFT JOIN 
				time_tracking t ON u.id = t.employeID
			WHERE 
				u.id like '$id'  -- Substitua pelo employeID desejado
				AND t.clockIn >= '$dateStart 00:00:00'  -- Data de início
				AND (t.clockOut <= '$dateEnd 23:59:59'  OR t.clockOut IS NULL) -- Data de fim
			ORDER BY 
				u.firstname, t.clockIn;";
		//print_r($sql);
			$result = $this->db->query($sqlReport);
/* 			$this->db->order_by('created_at', 'desc');
			$query = $this->db->get('ci_users'); */
			return  $result->result_array();
		}

		public function update_date_time_clock($tid, $col, $val){
	    	$data = array($col => $val);
	    	$this->db->where('time_trackingID', $tid);
	    	$this->db->update('time_tracking', $data);
			return ($this->db->affected_rows() != 1) ? false : true;
	    }

		//---------------------------------------------------
		// get users for csv export
		public function get_users_for_csv(){
			$this->db->where('is_admin', 0);
			$this->db->select('id, username, firstname, lastname, email, mobile_no, created_at');
			$this->db->from('ci_users');
			$query = $this->db->get();
			return $result = $query->result_array();
		}

		//---------------------------------------------------
		// Count total users
		public function count_all_users(){
			$this->db->where('is_admin', 0);
			return $this->db->count_all('ci_users');
		}

		//---------------------------------------------------
		// Get all users for pagination example
		public function get_all_users_for_pagination($limit, $offset){
			$wh =array();	
			$this->db->where('is_admin', 0);
			$this->db->order_by('created_at','desc');
			$this->db->limit($limit, $offset);

			if(count($wh)>0){
				$WHERE = implode(' and ',$wh);
				$query = $this->db->get_where('ci_users', $WHERE);
			}
			else{
				$query = $this->db->get('ci_users');
			}
			return $query->result_array();
			//echo $this->db->last_query();
		}


		//---------------------------------------------------
		// get all users for server-side datatable with advanced search
		public function get_all_users_by_advance_search(){
			$wh =array();
			$SQL ='SELECT * FROM ci_users';
			if($this->session->userdata('user_search_type')!='')
			$wh[]="is_active = '".$this->session->userdata('user_search_type')."'";
			if($this->session->userdata('user_search_from')!='')
			$wh[]=" `created_at` >= '".date('Y-m-d', strtotime($this->session->userdata('user_search_from')))."'";
			if($this->session->userdata('user_search_to')!='')
			$wh[]=" `created_at` <= '".date('Y-m-d', strtotime($this->session->userdata('user_search_to')))."'";

			$wh[] = " is_admin = 0";
			if(count($wh)>0)
			{
				$WHERE = implode(' and ',$wh);
				return $this->datatable->LoadJson($SQL,$WHERE);
			}
			else
			{
				return $this->datatable->LoadJson($SQL);
			}
		}





		//---------------------------------------------------
		// Get user detial by ID
		public function get_user_by_id($id){
			return $this->db->get_where('ci_users', array(
			'id' => $id))->row_array();
		}

		//---------------------------------------------------
		// Edit user Record
		public function edit_user($data, $id){
			$this->db->where('id', $id);
			$this->db->update('ci_users', $data);
			return true;
		}

		//---------------------------------------------------
		// Get User Role/Group
		public function get_user_groups(){
			$query = $this->db->get('ci_user_groups');
			return $result = $query->result_array();
		}


		

	}

?>