<!-- JQuery DataTable Css -->
<link href="<?= base_url()?>public/plugins/jquery-datatable/skin/bootstrap/css/dataTables.bootstrap.css"
    rel="stylesheet">
<!-- daterangepicker CSS -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script><!-- Exportable Table -->
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
            <div class="header">
                <h2>
                    Worked hours details
                </h2>
            </div>
            <div class="body">
                <form>
                    <div class="">
                        <label for="daterange">Select a date range to view data:</label>
                        <div class="range-flex">
                            <div>
                                <input type="text" id="daterange" name="daterange" value="<?php echo $dateRange?>"
                                    class="" />
                                <input type="submit" value="SEARCH">
                            </div>
                            <a class="btn"
                                href="<?php echo base_url('admin/reports/worked_hours').'?daterange='.$dateRange; ?>">Back
                                to global report</a>
                        </div>
                    </div>
                </form>
                <div class="table-responsive">
                    <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                        <thead>
                            <tr>
                                <th>User Name</th>
                                <th>Clock-in</th>
                                <th>Clock-out</th>
                                <th>HH:MM</th>
                                <th>Hours</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>User Name</th>
                                <th>Clock-in</th>
                                <th>Clock-out</th>
                                <th>HH:MM</th>
                                <th>Hours</th>
                            </tr>
                        </tfoot>
                        <tbody>
                            <?php 
        $i = 0;
        $currentName = '';
        $sum = 0;
        foreach($all_users as $row): 
            $clockIn = $row['clockIn'] ? date('m/d/Y H:i:s',strtotime($row['clockIn'])) : '';
            $clockOut = $row['clockOut'] ? date('m/d/Y H:i:s',strtotime($row['clockOut'])) : '';
            if ($currentName != $row['firstname']) {
                if ($currentName != '') {
                    // Imprime o somatório do nome anterior
                    echo "<tr class='summary-row'>";
                    echo "<td>$currentName</td>";
                    echo "<td></td>";
                    echo "<td></td>";
                    echo "<td></td>";
                    echo "<td><strong>" . number_format($sum, 2) . "</strong></td>";
                    echo "</tr>";
                }
                // Reseta o somatório e atualiza o nome atual
                $sum = 0;
                $currentName = $row['firstname'];
            }
        ?>
                            <tr>
                                <td><?= $row['firstname']; ?></td>
                                <td tabindex="0" class="editable" data-id="<?= $row['tid']; ?>" data-field="clockIn"><?= $clockIn; ?></td>
                                <td tabindex="0" class="editable" data-id="<?= $row['tid']; ?>" data-field="clockOut"><?= $clockOut; ?></td>
                                <td><?= $row['horasMin']; ?></td>
                                <td><?= $row['horas']; ?></td>

                            </tr>
                            <?php 
            // Adiciona as horas ao somatório
            $sum += floatval($row['horas']);
        endforeach; 

        // Imprime o somatório do último nome
        if ($currentName != '') {
            echo "<tr class='summary-row'>";
            echo "<td>$currentName</td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td><strong>" . number_format($sum, 2) . "</strong></td>";
            echo "</tr>";
        }
        ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- #END# Exportable Table -->
 <style>
.range-flex {
    display: flex;
    justify-content: space-between;
}
    
 </style>

<script>
$(document).ready(function() {
    var editing = false;
            // Torna as células editáveis ao clicar
            $('.editable').on('focus', function() {
                if(!editing){
                    editing=true;
                    var originalContent = $(this).text();
                    var id = $(this).data('id');
                    var field = $(this).data('field');
                    console.warn($(this), $(this).text())

                    $(this).html('<input type="text" class="datetime-input" value="' + originalContent + '"/>');
                    $(this).find('input').focus();
                    
                    // Inicializa a máscara
                    $('.datetime-input').mask('00/00/0000 00:00:00').on('blur keydown', function(e) {
                        if (e.type === 'blur' || (e.type === 'keydown' && e.key === 'Enter')) {
                            editing= false;
                            var newContent = $(this).val();
                            $(this).parent().text(newContent);
                            if(originalContent !== newContent){
                                $.ajax({
                                    url: '<?php echo base_url('admin/reports/update_date_time_clock'); ?>',
                                    type: 'POST',
                                    data: {
                                        tid: id,
                                        col: field,
                                        val: newContent
                                    },
                                    success: function(response) {

                                        console.warn(response);
                                    },
                                    error: function() {
                                        console.warn('Erro ao atualizar dados');
                                    }
                                });
                            }
                        }
                    });
                }
            });

    $('#daterange').daterangepicker({
        locale: {
            format: 'MM/DD/YYYY',
            /* applyLabel: 'Aplicar',
            cancelLabel: 'Cancelar',
            fromLabel: 'De',
            toLabel: 'Até',
            customRangeLabel: 'Personalizado',
            daysOfWeek: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb'],
            monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
            firstDay: 0*/
        },
        /*     startDate: moment().startOf('month'),
            endDate: moment().endOf('month'), */
        showDropdowns: false,
        timePicker: false,
        autoApply: true,
        autoUpdateInput: true,
        /*     ranges: {
               'Hoje': [moment(), moment()],
               'Ontem': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
               'Últimos 7 Dias': [moment().subtract(6, 'days'), moment()],
               'Últimos 30 Dias': [moment().subtract(29, 'days'), moment()],
               'Este Mês': [moment().startOf('month'), moment().endOf('month')],
               'Último Mês': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            } */
    });

});
</script>

<!-- Jquery DataTable Plugin Js -->
<script src="<?= base_url()?>public/plugins/jquery-datatable/jquery.dataTables.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/skin/bootstrap/js/dataTables.bootstrap.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/extensions/export/dataTables.buttons.min.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/extensions/export/buttons.flash.min.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/extensions/export/jszip.min.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/extensions/export/pdfmake.min.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/extensions/export/vfs_fonts.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/extensions/export/buttons.html5.min.js"></script>
<script src="<?= base_url()?>public/plugins/jquery-datatable/extensions/export/buttons.print.min.js"></script>
<!-- Moment.js -->
<script src="https://cdn.jsdelivr.net/npm/moment/min/moment.min.js"></script>
<!-- daterangepicker JS -->
<script src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
<!-- Custom Js -->
<script src="<?= base_url()?>public/js/pages/tables/jquery-datatable.js"></script>