<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title><?=isset($title)?$title:'SignIn - FaceClock' ?></title>
    <!-- Favicon-->
    <link rel="icon" href="<?= base_url() ?>public/favicon.ico" type="image/x-icon">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=latin,cyrillic-ext" rel="stylesheet"
        type="text/css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">
    <!-- Bootstrap Core Css -->
    <link href="<?= base_url() ?>public/plugins/bootstrap/css/bootstrap.css" rel="stylesheet">
    <!-- Waves Effect Css -->
    <link href="<?= base_url() ?>public/plugins/node-waves/waves.css" rel="stylesheet" />
    <!-- Animation Css -->
    <link href="<?= base_url() ?>public/plugins/animate-css/animate.css" rel="stylesheet" />
    <!-- Materialize Css -->
    <link href="<?= base_url() ?>public/css/materialize.css" rel="stylesheet">
    <!-- Custom Css -->
    <link href="<?= base_url() ?>public/css/style.css" rel="stylesheet">
    <style>
    .btn-block {
        padding: 15px
    }
    </style>

</head>

<body class="login-page">
    <div style="text-align: center">
        <?php if(isset($msg) || validation_errors() !== ''): ?>
        <div class="alert alert-warning alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h4><i class="icon fa fa-warning"></i> Alert!</h4>
            <?= validation_errors();?>
            <?= isset($msg)? $msg: ''; ?>
        </div>
        <?php endif; ?>
        <?php if($this->session->flashdata('warning')): ?>
        <div class="alert alert-warning">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <?=$this->session->flashdata('warning')?>
        </div>
        <?php endif; ?>
        <?php if($this->session->flashdata('success')): ?>
        <div class="alert alert-success">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <?=$this->session->flashdata('success')?>
        </div>
        <?php endif; ?>
    </div>
    <div class="login-box">
        <div class="logo">
            <a href="javascript:void(0);"></a>
        </div>
        <div class="card">
            <div class="body">
                <?php echo form_open(base_url('auth/clockPin'), 'class="login-form" id="pinForm" '); ?>
                <h3 style="text-align:center;"><?=@$title?></h3>
                <?php
                if(!isset($userdata)){
                ?>

                <h3 style="text-align:center;"> Type your PIN / Introduce tu PIN</h3>
                <div class="div-pin">
                    <input type="text" maxlength="1" onkeyup="moveCursor(event, 1)" autofocus>
                    <input type="text" maxlength="1" onkeyup="moveCursor(event, 2)">
                    <input type="text" maxlength="1" onkeyup="moveCursor(event, 3)">
                    <input type="text" maxlength="1" onkeyup="moveCursor(event, 4)">
                </div>

                <div style="">
                    <div class="bg-primary text-white" style="padding: 20px;
    border-radius: 10px;
    margin-top: 20px;
    font-size: xx-large;">
                        <div class="text-center">
                            <div class="d-flex flex-wrap justify-content-center mt-2">
                                <span id="h"></span> :
                                <span id="m"></span> :
                                <span id="s"></span>
                                <span id="ap" style="font-size: medium"></span>
                            </div>
                        </div>
                    </div>
                </div>
                <hr>

                <?php 
                }else{
                ?>
                <h3 style="text-align:center;"><?= 'Hi, '.$userdata['name']?><br><!-- <?=$title?> -->
                </h3>
                <div style="">
                    <div class="bg-primary text-white" style="padding: 20px;
    border-radius: 10px;
    margin-top: 20px;
    font-size: xx-large;">
                        <div class="text-center">
                            <div class="d-flex flex-wrap justify-content-center mt-2">
                                <span id="h"></span> :
                                <span id="m"></span> :
                                <span id="s"></span>
                                <span id="ap" style="font-size: medium"></span>
                            </div>
                        </div>
                    </div>
                </div>
                <hr>

                <?php
                if($clockBtn['in'] !== 'disabled' || $clockBtn['out'] !== 'disabled'){ ?>
                <div class="clock-text">Press enter to clock</div>
                <?php
                } ?>
                <?php
                if($clockBtn['in'] !== 'disabled'){ ?>
                <div class="row">
                    <div class="col-xs-12">
                        <input type="button" name="clockIn" id="clockIn" class="btn btn-block btn-success waves-effect"
                            data-loading-text="Wait clock-in..." value="CLOCK-IN<?=$clockLbl['in']?>"
                            <?=$clockBtn['in']?> onclick="takePictureAndSendApi('CLOCK-IN')" autofocus>
                    </div>
                </div>
                <?php } ?>
                <?php if($clockBtn['out'] !== 'disabled'){ ?>

                <div class="row">
                    <div class="col-xs-12">
                        <input type="button" name="clockOut" id="clockOut"
                            class="btn btn-block btn-warning waves-effect" data-loading-text="Wait clock-out..."
                            value="CLOCK-OUT<?=$clockLbl['out']?>" <?=$clockBtn['out']?>
                            onclick="takePictureAndSendApi('CLOCK-OUT')" autofocus>
                    </div>
                </div>
                <?php
                }
                ?>

                <div class="row clocked">
                    <div class="col-md-6 bg-success">
                        Hora de entrada<br>
                        <?=$clockLbl['in'] ? $clockLbl['in'] : ' - '; ?>
                    </div>
                    <div class="col-md-6 bg-warning">
                        Hora de salida<br>
                        <?=$clockLbl['out'] ? $clockLbl['out'] : ' - '; ?>
                    </div>
                </div>


                <div style="">
                    <div class="camera">
                        <video id="video">No webcam found.</video>
                    </div>
                    <canvas id="canvas" style="display:none">
                    </canvas>
                    <div class="output" style="display:none">
                        <img id="photo" alt="">
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-xs-12">
                        <input type="submit" name="logout" id="submit" class="btn btn-block btn-danger waves-effect"
                            value="CANCEL">
                    </div>
                </div>


                <!--  <div class="m-t-25 align-center">
                        <a href="<?= base_url('auth/register'); ?>">Não tem uma conta? Solicite aqui.</a>
                    </div> -->
                <?php
                }
                ?>
                <?php echo form_close(); ?>
            </div>
        </div>
    </div>
    <button id="startbutton" style="display:none"></button>
    <style>
    body>div.col-xs-11.col-sm-4.alert.alert-info.animated.fadeInDown {
        font-size: xx-large;
    }
    .btn:not(.btn-link):not(.btn-circle) {
        font-size: xx-large;
    }

    .bg-success {
        background-color: #28a745;
        color: #fff;
    }

    .bg-warning {
        background-color: #ffc107;
        color: #000;
    }

    .clocked {
        text-align: center;
        font-size: xx-large;
        display: flex;
        gap: 16px;
    }

    .div-pin>input {
        line-height: normal;
        width: 2ch;
        font-size: xxx-large;
        text-align: center;
        margin: 20px;
    }

    .div-pin {
        display: flex;
        justify-content: space-evenly;
    }

    .clock-text {
        text-align: center;
        font-size: x-large;
        margin-bottom: 10px;
    }

    .login-page {

        max-width: unset;
        margin: unset;

    }

    .relogio {
        padding: 0px;
        border-radius: 10px;
        margin-top: 20px;
        font-size: xx-large;
        color: #fff;
        background-color: #4d5257;
    }

    .login-box {
        display: flex;
        width: 1024px;
        justify-content: center;
        margin: 0 auto;

        padding: 20px;
    }

    .card {
        min-width: 60%;
        border-radius: 20px
    }

    #video {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 640px;
        height: 480px;
    }

    #photo {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 640px;
        height: 480px;
    }

    #canvas {
        display: none;
    }

    .camera {
        width: 640px;

    }

    .output {
        width: 640px;
        display: inline-block;
    }

    #startbutton {

        display: block;
        position: relative;
        margin-left: auto;
        margin-right: auto;
        bottom: 32px;
        background-color: rgba(0, 150, 0, 0.5);
        border: 1px solid rgba(255, 255, 255, 0.7);
        box-shadow: 0px 0px 1px 2px rgba(0, 0, 0, 0.2);
        font-size: 14px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        color: rgba(255, 255, 255, 1.0);
    }

    .contentarea {
        font-size: 16px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        width: 760px;
    }


    /*  #video {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 320px;
        height: 240px;
    }

    #photo {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 320px;
        height: 240px;
    }

    #canvas {
        display: none;
    }

    .camera {
        width: 340px;
        display: inline-block;
    }

    .output {
        width: 340px;
        display: inline-block;
    }

    #startbutton {
        display: block;
        position: relative;
        margin-left: auto;
        margin-right: auto;
        bottom: 32px;
        background-color: rgba(0, 150, 0, 0.5);
        border: 1px solid rgba(255, 255, 255, 0.7);
        box-shadow: 0px 0px 1px 2px rgba(0, 0, 0, 0.2);
        font-size: 14px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        color: rgba(255, 255, 255, 1.0);
    }

    .contentarea {
        font-size: 16px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        width: 760px;
    } */
    </style>


    <!-- Jquery Core Js -->
    <script src="<?= base_url() ?>public/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap Core Js -->
    <script src="<?= base_url() ?>public/plugins/bootstrap/js/bootstrap.js"></script>
    <!-- Waves Effect Plugin Js -->
    <script src="<?= base_url() ?>public/plugins/node-waves/waves.js"></script>
    <!-- Validation Plugin Js -->
    <script src="<?= base_url() ?>public/plugins/jquery-validation/jquery.validate.js"></script>
    <!-- Custom Js -->
    <script src="<?= base_url() ?>public/js/admin.js"></script>
    <script src="<?= base_url() ?>public/js/pages/examples/sign-in.js"></script>
    <script src="<?= base_url() ?>public/js/capture.js"></script>

    <!-- Bootstrap Notify Plugin Js -->
    <script src="<?= base_url()?>public/plugins/bootstrap-notify/bootstrap-notify.js"></script>
    <!-- Custom Js -->
    <script src="<?= base_url()?>public/js/pages/ui/notifications.js"></script>
    <script src="<?= base_url()?>public/js/tracking/tracking.js"></script>

    <script src="<?= base_url()?>public/js/tracking/data/face-min.js"></script>
    <script>
    /*     function savePicture(data, faceId) {
        var canvas = document.getElementById('canvas');
        var context = canvas.getContext('2d');
        canvas.width = width;
        canvas.height = height;
        context.drawImage(video, 0, 0, width, height);
        var data = canvas.toDataURL('image/jpeg');
        var req = $.ajax({
            url: "<?php echo base_url('auth/clockPin/'.$userdata['username'])?>",
            type: "POST",
            data: {
                uploadFile: data,
                faceId: faceId
            }
        });
        req.done(function(dataR) {
            console.warn(dataR)
            if (dataR.trim() === 'upload') {
                //window.location.reload();
            }
        });

    } */

    function moveCursor(event, num) {

        if (event.key === "Backspace") {
            if (num > 1) {
                document.querySelector(`input:nth-child(${num})`).value = "";
                document.querySelector(`input:nth-child(${num - 1})`).focus();
            }
        } else {
            console.warn(event.key)
            document.querySelector(`input:nth-child(${num})`).value = event.key;
            let input = event.target.value;
            let regex = /^[0-9]*$/; // Apenas números

            if (!regex.test(input)) {
                document.querySelector(`input:nth-child(${num})`).value = '';
                return;
            }
            if (num === 4) {
                submitForm();
            } else {
                document.querySelector(`input:nth-child(${num + 1})`).focus();
            }
        }
    }
    /*         function validateInput(event) {
                console.warn(event)
                let input = event.target.value;
                let regex = /^[0-9]*$/; // Apenas números

                if (!regex.test(input)) {
                    event.target.value = "";
                }
            } */

    function submitForm() {
        let pin = "";
        for (let i = 1; i <= 4; i++) {
            pin += document.querySelector(`input:nth-child(${i})`).value;
        }
        console.log("PIN digitado: " + pin);

        // Construir a URL com o PIN
        let url = "<?php echo base_url('auth/loginPin'); ?>/" + pin;

        // Redirecionar para a URL com o PIN na querystring
        window.location.href = url;
    }

    function autoLogout() {

        window.location = '<?php echo base_url('auth/logout/loginPin');?>';


    }

    function takePictureAndSendApi(check) {

        //var video = document.getElementById('video');
        var canvas = document.getElementById('canvas');
        var context = canvas.getContext('2d');
        canvas.width = width;
        canvas.height = height;
        context.drawImage(video, 0, 0, width, height);
        var data = canvas.toDataURL('image/jpeg');

        //canvas.toBlob(function(blob) {
        //console.warn('>>>' + blob);
        var formData = new FormData();
        formData.append('file', data);
        if (check === 'CLOCK-IN') {
            formData.append('clockIn', check);
            $("#clockIn").button('loading');
        } else {
            formData.append('clockOut', check);
            $("#clockOut").button('loading');
        }
        $.ajax({
            async: true,
            crossDomain: true,
            url: '<?php echo base_url('auth/clockPinCheck'); ?>',
            method: 'POST',

            processData: false,
            contentType: false,
            mimeType: 'multipart/form-data',
            data: formData,
            success: function(response) {
                console.warn('>>', response);
                $.notify(
                    response.trim()
                );
                setTimeout(() => {
                    autoLogout();
                }, 2500);
                if (response.trim() === 'ok') {
                    //window.location.reload();
                }

            },
            error: function(jqXHR, textStatus, errorThrown) {
                console.error('Erro ao enviar a imagem:', textStatus, errorThrown);
            }
        });
        //}, 'image/jpeg');
    }

    function realTime() {

        var date = new Date();
        var hour = date.getHours();
        var min = date.getMinutes();
        var sec = date.getSeconds();
        var halfday = "AM";
        halfday = (hour >= 12) ? "PM" : "AM";
        hour = (hour == 0) ? 12 : ((hour > 12) ? (hour - 12) : hour);
        hour = update(hour);
        min = update(min);
        sec = update(sec);
        document.getElementById("h").innerText = hour;
        document.getElementById("m").innerText = min;
        document.getElementById("s").innerText = sec;
        document.getElementById("ap").innerText = halfday;

        setTimeout(realTime, 1000);
    }

    function update(k) {
        if (k < 10) {
            return "0" + k;
        } else {
            return k;
        }
    }


    $(document).ready(function() {
        window.addEventListener('load', startup, false);




        realTime();




        //window.onload = init()    
    });
    </script>

</body>

</html>