<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title><?=isset($title)?$title:'SignIn - FaceClock' ?></title>
    <!-- Favicon-->
    <link rel="icon" href="<?= base_url() ?>public/favicon.ico" type="image/x-icon">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=latin,cyrillic-ext" rel="stylesheet"
        type="text/css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">
    <!-- Bootstrap Core Css -->
    <link href="<?= base_url() ?>public/plugins/bootstrap/css/bootstrap.css" rel="stylesheet">
    <!-- Waves Effect Css -->
    <link href="<?= base_url() ?>public/plugins/node-waves/waves.css" rel="stylesheet" />
    <!-- Animation Css -->
    <link href="<?= base_url() ?>public/plugins/animate-css/animate.css" rel="stylesheet" />
    <!-- Materialize Css -->
    <link href="<?= base_url() ?>public/css/materialize.css" rel="stylesheet">
    <!-- Custom Css -->
    <link href="<?= base_url() ?>public/css/style.css" rel="stylesheet">


</head>

<body class="login-page">
    <div class="login-box">
        <div class="logo">
            <a href="javascript:void(0);"></a>
        </div>
        <?php if(isset($msg) || validation_errors() !== ''): ?>
        <div class="alert alert-warning alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h4><i class="icon fa fa-warning"></i> Alert!</h4>
            <?= validation_errors();?>
            <?= isset($msg)? $msg: ''; ?>
        </div>
        <?php endif; ?>
        <?php if($this->session->flashdata('warning')): ?>
        <div class="alert alert-warning">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <?=$this->session->flashdata('warning')?>
        </div>
        <?php endif; ?>
        <?php if($this->session->flashdata('success')): ?>
        <div class="alert alert-success">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <?=$this->session->flashdata('success')?>
        </div>
        <?php endif; ?>
        <div class="card">
            <div class="body">
                <?php echo form_open(base_url('auth/login'), 'class="login-form" '); ?>
                <h4 style="text-align:center;">Admin login:<br>Enter e-mail and password</h4>
        <!--         <div style="">
                    <div class="camera">
                        <video id="video">No webcam found.</video>
                        <button id="startbutton">Take photo and analyze</button>
                    </div>
                    <canvas id="canvas" style="display:none">
                    </canvas>
                    <div class="output" style="display:none">
                        <img id="photo" alt="">
                    </div>
                </div>
                <hr> -->
                
                <div class="input-group">
                    <span class="input-group-addon">
                        <i class="material-icons">person</i>
                    </span>
                    <div class="form-line">
                        <input type="text" class="form-control" name="email" placeholder="E-mail" required autofocus>
                    </div>
                </div>
                <div class="input-group">
                    <span class="input-group-addon">
                        <i class="material-icons">lock</i>
                    </span>
                    <div class="form-line">
                        <input type="password" class="form-control" name="password" placeholder="Password" required>
                    </div>
                </div>
                <!--            <div class="row">
                        <div class="col-xs-7">
                            <input type="checkbox" name="rememberme" id="rememberme" class="filled-in chk-col-pink">
                            <label for="rememberme">Remember</label>
                        </div>
                        <div class="col-xs-5 text-right">
                            <a  href="<?= base_url('auth/forgot_password'); ?>">Forgot password?</a>
                        </div>
                    </div> -->
                <div class="row">
                    <div class="col-xs-12">
                        <input type="submit" name="submit" id="submit" class="btn btn-block btn-success waves-effect"
                            value="Enter">
                    </div>
                </div>
                <!--  <div class="m-t-25 align-center">
                        <a href="<?= base_url('auth/register'); ?>">Não tem uma conta? Solicite aqui.</a>
                    </div> -->
                <?php echo form_close(); ?>
            </div>
        </div>
    </div>

    <style>
    #video {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 320px;
        height: 240px;
    }

    #photo {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 320px;
        height: 240px;
    }

    #canvas {
        display: none;
    }

    .camera {
        width: 340px;
        display: inline-block;
    }

    .output {
        width: 340px;
        display: inline-block;
    }

    #startbutton {
        display: block;
        position: relative;
        margin-left: auto;
        margin-right: auto;
        bottom: 32px;
        background-color: rgba(0, 150, 0, 0.5);
        border: 1px solid rgba(255, 255, 255, 0.7);
        box-shadow: 0px 0px 1px 2px rgba(0, 0, 0, 0.2);
        font-size: 14px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        color: rgba(255, 255, 255, 1.0);
    }

    .contentarea {
        font-size: 16px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        width: 760px;
    }
    </style>


    <!-- Jquery Core Js -->
    <script src="<?= base_url() ?>public/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap Core Js -->
    <script src="<?= base_url() ?>public/plugins/bootstrap/js/bootstrap.js"></script>
    <!-- Waves Effect Plugin Js -->
    <script src="<?= base_url() ?>public/plugins/node-waves/waves.js"></script>
    <!-- Validation Plugin Js -->
    <script src="<?= base_url() ?>public/plugins/jquery-validation/jquery.validate.js"></script>
    <!-- Custom Js -->
    <script src="<?= base_url() ?>public/js/admin.js"></script>
    <script src="<?= base_url() ?>public/js/pages/examples/sign-in.js"></script>
    <script src="<?= base_url() ?>public/js/capture.js"></script>

    <!-- Bootstrap Notify Plugin Js -->
    <script src="<?= base_url()?>public/plugins/bootstrap-notify/bootstrap-notify.js"></script>
    <!-- Custom Js -->
    <script src="<?= base_url()?>public/js/pages/ui/notifications.js"></script>
    <script src="<?= base_url()?>public/js/tracking/tracking.js"></script>

    <script src="<?= base_url()?>public/js/tracking/data/face-min.js"></script>
    <script>
    $(document).ready(function() {
        // Set up our event listener to run the startup process
        // once loading is complete.
        window.addEventListener('load', startup, false);

  /*       function init() {

            const video = document.getElementById('video')

            const canvas = document.getElementById('canvas')

            const context = canvas.getContext('2d')

            const tracker = new tracking.ObjectTracker('face')

            tracking.track('#video', tracker, {
                camera: true
            })
            //console.log(tracker);
            //return;
            tracker.on('track', event => {

                console.log(event)

                context.clearRect(0, 0, canvas.width, canvas.height)

                event.data.foEach(rect => {

                    console.log(rect)

                })

            })

        } */

        //window.onload = init()    
    });

    function takePictureAndSendApi() {
    //var video = document.getElementById('video');
    var canvas = document.getElementById('canvas');
    var context = canvas.getContext('2d');
    canvas.width = width;
    canvas.height = height;
    context.drawImage(video, 0, 0, width, height);
    var data = canvas.toDataURL('image/jpeg');

    canvas.toBlob(function(blob) {
        var formData = new FormData();
        formData.append('file', blob, 'webcam.jpg');
        formData.append('detection_flags', 'propoints,classifiers,content');
        formData.append('recognize_targets', 'all@faceclock.com');

        $.ajax({
            async: true,
            crossDomain: true,
            url: 'https://betaface-face-recognition-v1.p.rapidapi.com/media/file',
            method: 'POST',
            headers: {
                'X-RapidAPI-Key': '1c856ca61dmsh3d81a3ca17713ccp10ea64jsn1ae60cef19c9',
                'X-RapidAPI-Host': 'betaface-face-recognition-v1.p.rapidapi.com'
            },
            processData: false,
            contentType: false,
            mimeType: 'multipart/form-data',
            data: formData,
            success: function(response) {
                var jsonRoot = $.parseJSON(response);
                console.warn('>>', jsonRoot.recognize);
/*                 if (jsonRoot.media.faces !== null) {
                    faceId = jsonRoot.media.faces[0].face_uuid;
                    savePicture(data, faceId)
                } else {
                    console.warn('No face detected.');
                } */

            },
            error: function(jqXHR, textStatus, errorThrown) {
                console.error('Erro ao enviar a imagem:', textStatus, errorThrown);
            }
        });
    }, 'image/jpeg');
}















    // function takepicture() {
    //     var context = canvas.getContext('2d');
    //     if (width && height) {
    //         canvas.width = width;
    //         canvas.height = height;
    //         context.drawImage(video, 0, 0, width, height);

    //         var data = canvas.toDataURL('image/png');
    //         photo.setAttribute('src', data);

    //         var req = $.ajax({
    //             url: "<?php echo base_url('auth/loginFaceId')?>",
    //             type: "POST",
    //             data: {
    //                 uploadFile: data
    //             }
    //         });

    //         req.done(function(data) {
    //             console.warn('pk' + data);
    //             if (data != 'error') {
    //                 //window.location ='https://projetos.lexsis.com.br/face/index.php';
    //                 //location.reload();
    //                 detectFace('https://rapidapi.com/blog/wp-content/uploads/2016/10/Error-404.jpg');
    //             } else {
    //                 console.log('Error loading image from Webcam. Try again.')
    //             }
    //         });


    //     } else {
    //         clearphoto();
    //     }
    // }

    // function detectFace(url) {
    //     var params = {
    //         "returnFaceId": "true",
    //     };

    //     $.ajax({
    //             //persongroups/faceportal/persons/91ad3fd7-7915-491c-a44f-11c24d9a4a85/persistedFaces
    //             url: "https://kfaceapi.cognitiveservices.azure.com/face/v1.0/detect?" + $.param(params),
    //             beforeSend: function(xhrObj) {
    //                 // Request headers
    //                 xhrObj.setRequestHeader("Content-Type", "application/json");
    //                 xhrObj.setRequestHeader("Ocp-Apim-Subscription-Key", "693c076f54ae408ebcfe0fe5a7e7912b");
    //             },
    //             type: "POST",
    //             // Request body
    //             data: '{"url":"' + url + '"}',
    //         })
    //         .done(function(data) {
    //             console.log(data);
    //             if (data == '[]') {
    //                 $.notify("Unable to detect face in this capture. Try again.", {
    //                     animate: {
    //                         enter: 'animated bounceInDown',
    //                         exit: 'animated bounceOutUp'
    //                     }
    //                 });
    //                 //$('#ch-'+index).addClass('bg-green');
    //             } else {
    //                 identifyFace(data[0].faceId);
    //                 console.log(data[0].faceId);
    //             }
    //             //addPersonFaceOk(data.persistedFaceId,url);
    //         })
    //         .fail(function(data) {
    //             console.log(data);
    //             $.notify("The API cannot process the information. Try again.", {
    //                 animate: {
    //                     enter: 'animated bounceInDown',
    //                     exit: 'animated bounceOutUp'
    //                 }
    //             });
    //         });
    // }

    // function identifyFace(faceId) {
    //     var params = {};

    //     $.ajax({
    //             //persongroups/faceportal/persons/91ad3fd7-7915-491c-a44f-11c24d9a4a85/persistedFaces
    //             url: "https://kfaceapi.cognitiveservices.azure.com/face/v1.0/identify?" + $.param(params),
    //             beforeSend: function(xhrObj) {
    //                 // Request headers
    //                 xhrObj.setRequestHeader("Content-Type", "application/json");
    //                 xhrObj.setRequestHeader("Ocp-Apim-Subscription-Key", "693c076f54ae408ebcfe0fe5a7e7912b");
    //             },
    //             type: "POST",
    //             // Request body
    //             data: '{"personGroupId": "faceportal","faceIds": ["' + faceId +
    //                 '"],"maxNumOfCandidatesReturned": 1,"confidenceThreshold": 0.7}',
    //         })
    //         .done(function(data) {
    //             console.log('identify:::')
    //             console.log(data);
    //             if (data == '[]') {
    //                 $.notify("Unable to detect face in this capture. Try again.", {
    //                     animate: {
    //                         enter: 'animated bounceInDown',
    //                         exit: 'animated bounceOutUp'
    //                     }
    //                 });
    //                 //$('#ch-'+index).addClass('bg-green');
    //             } else {
    //                 //identifyFace(data[0].faceId);
    //                 console.log(data[0].candidates[0].personId + ":::" + data[0].candidates[0].confidence);
    //                 loginFace(data[0].candidates[0].personId);
    //             }
    //             //addPersonFaceOk(data.persistedFaceId,url);
    //         })
    //         .fail(function(data) {
    //             console.log(data);
    //             $.notify("The API cannot process the information. Try again.", {
    //                 animate: {
    //                     enter: 'animated bounceInDown',
    //                     exit: 'animated bounceOutUp'
    //                 }
    //             });
    //         });
    // }

    function loginFace(candidateId) {
        var req = $.ajax({
            url: "<?php echo base_url('auth/loginFaceId/')?>" + candidateId,
            type: "POST",
            data: {}
        });

        req.done(function(data) {
            console.log('lf' + data);
            if (data != 'error') {
                window.location = data;
                //location.reload();
                //detectFace(data);
                //console.log('Rosto não encontrado no sistema');
            } else {
                console.log('Rosto não encontrado no sistema');
            }
        });

    }
    </script>

</body>

</html>