<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title><?=isset($title)?$title:'SignIn - FaceClock' ?></title>
    <!-- Favicon-->
    <link rel="icon" href="<?= base_url() ?>public/favicon.ico" type="image/x-icon">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=latin,cyrillic-ext" rel="stylesheet"
        type="text/css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">
    <!-- Bootstrap Core Css -->
    <link href="<?= base_url() ?>public/plugins/bootstrap/css/bootstrap.css" rel="stylesheet">
    <!-- Waves Effect Css -->
    <link href="<?= base_url() ?>public/plugins/node-waves/waves.css" rel="stylesheet" />
    <!-- Animation Css -->
    <link href="<?= base_url() ?>public/plugins/animate-css/animate.css" rel="stylesheet" />
    <!-- Materialize Css -->
    <link href="<?= base_url() ?>public/css/materialize.css" rel="stylesheet">
    <!-- Custom Css -->
    <link href="<?= base_url() ?>public/css/style.css" rel="stylesheet">


</head>

<body class="login-page">
    <div class="login-box">
        <div class="logo">
            <a href="javascript:void(0);"></a>
        </div>
        <?php if(isset($msg) || validation_errors() !== ''): ?>
        <div class="alert alert-warning alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h4><i class="icon fa fa-warning"></i> Alert!</h4>
            <?= validation_errors();?>
            <?= isset($msg)? $msg: ''; ?>
        </div>
        <?php endif; ?>
        <?php if($this->session->flashdata('warning')): ?>
        <div class="alert alert-warning">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <?=$this->session->flashdata('warning')?>
        </div>
        <?php endif; ?>
        <?php if($this->session->flashdata('success')): ?>
        <div class="alert alert-success">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <?=$this->session->flashdata('success')?>
        </div>
        <?php endif; ?>
        <div class="card">
            <div class="body">
                <?php echo form_open(base_url('auth/login'), 'class="login-form" '); ?>
                <h4 style="text-align:center;">Frame your face and press enter</h4>
                <h5 style="text-align:center;">Enmarca tu cara y presiona enter</h5>
                <div class="camera">
                    <div class="video-row">
                        <div id="videoContainer">
                            <video id="video">No webcam found.</video>


                        </div>
                        <div id="loading" class="spinner"></div>
                        <canvas id="canvas" style="display:none">
                        </canvas>
                    </div>
                    <button id="startbutton" class="btn btn-block btn-success waves-effect" autofocus>FACE LOGIN</button>
                    <hr>                        
                    <a href="<?= base_url('auth/loginPin'); ?>" class="btn btn-block bt-warning waves-effect">PIN LOGIN</a>
                    <div class="output" style="display:none">
                        <img id="photo" alt="">
                    </div>
                </div>

                <!--  <div class="m-t-25 align-center">
                        <a href="<?= base_url('auth/register'); ?>">Não tem uma conta? Solicite aqui.</a>
                    </div> -->
                <?php echo form_close(); ?>
            </div>
        </div>
    </div>

    <style>


    .bt-warning {
        background-color: #ffc107;
        color: #000 !important;
        font-size: x-large !important;
    }

    .login-page {

        max-width: unset;
        margin: unset;

    }

    .relogio {
        padding: 0px;
        border-radius: 10px;
        margin-top: 20px;
        font-size: xx-large;
        color: #fff;
        background-color: #4d5257;
    }

    .login-box {
        display: flex;
        width: 800px;
        justify-content: center;
        margin: 0 auto;

        padding: 20px;
    }

    .card {
        min-width: 60%;
        border-radius: 20px
    }


    .video-row {
        display: flex;
        align-content: space-around;
        align-items: center;
        justify-content: space-around;
    }

    #videoContainer {
        position: relative;
        width: fit-content;
        margin: auto;
        background-color: aliceblue;
        /*  height: 242px; */
        border-radius: 20px;
    }

    #webcam {
        display: block;
    }

    #loading {
        position: absolute;
        transform: translate(-50%, -50%);
        display: none;
    }

    .spinner {
        border: 6px solid #f3f3f3;
        border-top: 6px solid #3498db;
        border-radius: 50%;
        width: 40px;
        height: 40px;
        animation: spin 2s linear infinite;
        margin: 10px;
    }

    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }



    #video {
        width: 640px;
        height: 480px;
        border-radius: 20px;

    }

    #photo {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 640px;
        height: 480px;
    }

    #canvas {
        display: none;
        border-radius: 20px;

    }


    .output {
        width: 640px;
        display: inline-block;
    }

    #startbutton {
        font-size: xxx-large;
        display: block;
        position: relative;
        margin-left: auto;
        margin-right: auto;
        /*         bottom: 32px;
        background-color: rgba(0, 150, 0, 0.5);
        border: 1px solid rgba(255, 255, 255, 0.7);
        box-shadow: 0px 0px 1px 2px rgba(0, 0, 0, 0.2);
        font-size: 14px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        color: rgba(255, 255, 255, 1.0); */
    }

    .contentarea {
        font-size: 16px;
        font-family: "Lucida Grande", "Arial", sans-serif;
        width: 760px;
    }
    </style>


    <!-- Jquery Core Js -->
    <script src="<?= base_url() ?>public/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap Core Js -->
    <script src="<?= base_url() ?>public/plugins/bootstrap/js/bootstrap.js"></script>
    <!-- Waves Effect Plugin Js -->
    <script src="<?= base_url() ?>public/plugins/node-waves/waves.js"></script>
    <!-- Validation Plugin Js -->
    <!--     <script src="<?= base_url() ?>public/plugins/jquery-validation/jquery.validate.js"></script>
 -->
    <!-- Custom Js -->
    <!--     <script src="<?= base_url() ?>public/js/admin.js"></script>
 -->
    <!-- <script src="<?= base_url() ?>public/js/pages/examples/sign-in.js"></script>
 -->
    <script src="<?= base_url() ?>public/js/capture.js"></script>

    <!-- Bootstrap Notify Plugin Js -->
    <script src="<?= base_url()?>public/plugins/bootstrap-notify/bootstrap-notify.js"></script>
    <!-- Custom Js -->
    <script src="<?= base_url()?>public/js/pages/ui/notifications.js"></script>
    <!--     <script src="<?= base_url()?>public/js/tracking/tracking.js"></script>
 -->
    <!--     <script src="<?= base_url()?>public/js/tracking/data/face-min.js"></script>
 -->
    <script src="<?= base_url() ?>public/js/FCClientJS.js"></script>

    <script type="text/javascript">
        
    var client = new FCClientJS('sio5smgfqo5qc803j5u0kpncce', 'if7brb9n940b9m62aifrcklgbp');
    var options = new Object();
    var photoData = new Object();

    //showNotification('alert-success', 'Login efetuado com sucesso', 'top', 'center', null, null);

    function recognizeFace() {
        setCanvas('', 640);
        canvas.toBlob(function(blob) {
            console.log(blob);
            options = {};
            options.detect_all_feature_points = true;
            client.facesRecognize('all@faceClock', null, [blob], options, callBackRecognizeFace);
        }, 'image/jpeg');
    }

    function callBackRecognizeFace(data) {
        data = $.parseJSON(data);
        console.warn('recognized', data);
        if (data.photos && data.photos[0].tags.length > 0) {
            if (data.photos[0].tags[0].uids.length < 1) {
                $('#loading').hide();
                $('#canvas').hide();
                $('#videoContainer').show();
                showNotification('alert-danger', 'No face found.<br> Try again or use PIN BUTTON', 'top', 'center',
                    null, null);
            } else {
                id = data.photos[0].tags[0].uids[0].uid.split('@')[0];
                window.location = "<?php echo base_url('auth/loginFace/')?>" + id;
            }
        } else {
            $('#loading').hide();
            $('#canvas').hide();
            $('#videoContainer').show();
            showNotification('alert-danger', 'No face found.<br> Try again or use PIN BUTTON', 'top', 'center', null,
                null);
        }

    }

    $(document).ready(function() {
        // Set up our event listener to run the startup process
        // once loading is complete.
        window.addEventListener('load', startup, false);

    });
    </script>

</body>

</html>