<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FaceClock</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?= base_url() ?>public/plugins/animate-css/animate.css" rel="stylesheet" />



    <style>
    .full-height {
        height: 100vh;
    }

    .full-width {
        width: 100%;
    }

    .centered {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100%;
        padding: 0 50px;
    }

    .right-aligned {
        text-align: right;
        align-content: center;
    }

    .left-aligned {
        /* justify-content: flex-start; */
    }

    .bg-clock {
        background-color: #313560;
    }

    .split-3-rows {
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    .top-bottom-row {
        height: 50px;
        /* background-color: #f8f9fa; */
    }
    .top-logo-row {
        height: 110px;
        /* background-color: #f8f9fa; */
    }

    .middle-row {
        flex-grow: 1;
    }

    .time-clock {
        color: aliceblue;
        font-size: xxx-large;
        text-align: center;
    }

    .date {
        font-size: x-large;
        color: cornflowerblue;
    }

    .poppins-regular {
        font-family: "Poppins", sans-serif;
        font-weight: 400;
        font-style: normal;
    }

    .progress-bar {
        z-index: 10;
        position: fixed;
        top: 0;
        left: 0;
        height: 10px;
        background-color: #4CAF50;
        width: 0%;
    }

    .logo {
        border-radius: 0 0 20px 20px;
        height: 100px
    }
    </style>
</head>

<body class="poppins-regular">
    <div class="progress-bar"></div>
    <div class="container-fluid">
        <div class="row full-height">
            <div class="col-md-6 d-flex flex-column bg-clock">
                <div class="split-3-rows">
                    <div class="top-logo-row" style="text-align: center">
                        <img src="<?php echo base_url('public/imgs/logo.jpg'); ?>" alt="logo" class="logo">

                    </div>
                    <div class="middle-row d-flex centered ">

                        <div>
                            <!--                             <div class="date">
                                10.10.2024
                            </div> -->

                            <div class="time-clock">
                                <span id="h"></span> :
                                <span id="m"></span> :
                                <span id="s"></span>
                                <span id="ap" style="font-size: medium"></span>
                            </div>
                            <div class="whiteboard">
                            <?php
                            $file_path = APPPATH . 'data/content.txt';
                            echo file_exists($file_path) ? file_get_contents($file_path) : ''; ?>
                            </div>
                        </div>
                    </div>
                    <div class="top-bottom-row">

                    </div>
                </div>
            </div>
            <div class="col-md-6  d-flex flex-column">
                <div class="split-3-rows">
                    <div class="top-bottom-row right-aligned">
                        <a href="<?php echo base_url('Language/switcher/en'); ?>">
                            <img src="<?php echo base_url('public/flags/us.png'); ?>" alt="English"
                                style="width:20px; height:14px;"> English
                        </a> |
                        <a href="<?php echo base_url('Language/switcher/es'); ?>">
                            <img src="<?php echo base_url('public/flags/mx.png'); ?>" alt="Español"
                                style="width:20px; height:14px;"> Español
                        </a>

                    </div>
                    <div class="middle-row d-flex centered ">
                        <div>
                            <p class="text-white">
                            <div class="">
                                <p class="text-white"><?php $this->load->view($view);?></p>
                            </div>

                            </p>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <style>
    .whiteboard{
        color: white;
    max-height: calc(100vh - 250px);
    overflow: auto;
    background-color: #444a87;
    padding: 20px;
    border-radius: 20px;
    }

    a:hover {
        color: inherit;
        text-decoration: none !important;
    }

    .btn-pill {
        border: none;
        border-radius: 45px;
        padding: 0px 15px 3px 15px;
        color: white;
        font-size: x-large;
        background-color: #398baf;
    }

    .big-pill {
        padding: 15px 30px 18px 30px !important;
    }

    .video-row {
        display: flex;
        align-content: space-around;
        align-items: center;
        justify-content: space-around;
    }

    #videoContainer {
        position: relative;
        width: fit-content;
        margin: auto;
        background-color: aliceblue;
        /*  height: 242px; */
        border-radius: 20px;
    }

    #webcam {
        display: block;
    }

    #loading {
        position: absolute;
        transform: translate(-50%, -50%);
        display: none;
    }

    .spinner {
        border: 6px solid #f3f3f3;
        border-top: 6px solid #3498db;
        border-radius: 50%;
        width: 40px;
        height: 40px;
        animation: spin 2s linear infinite;
        margin: 10px;
    }

    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }

    #video {
        width: 480px;
        height: 360px;
        border-radius: 20px;

    }

    #photo {
        border: 1px solid black;
        box-shadow: 2px 2px 3px black;
        width: 480px;
        height: 360px;
    }

    #canvas {
        display: none;
        border-radius: 20px;

    }


    .output {
        width: 480px;
        display: inline-block;
    }

    :focus-visible {
        outline: #054c6b solid 2px;
    }

    .bootstrap-notify-container {
        max-width: 320px;
        text-align: center;
    }
    </style>

    <!-- Jquery Core Js -->
    <script src="<?= base_url() ?>public/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap Core Js -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="<?= base_url() ?>public/plugins/bootstrap/js/bootstrap.js"></script>

    <script src="<?= base_url() ?>public/js/capture.js"></script>

    <!-- Bootstrap Notify Plugin Js -->
    <script src="<?= base_url()?>public/plugins/bootstrap-notify/bootstrap-notify.js"></script>
    <!-- Custom Js -->
    <script src="<?= base_url()?>public/js/pages/ui/notifications.js"></script>
    <!--     <script src="<?= base_url()?>public/js/tracking/tracking.js"></script>
 -->
    <!--     <script src="<?= base_url()?>public/js/tracking/data/face-min.js"></script>
 -->
    <script src="<?= base_url() ?>public/js/FCClientJS.js"></script>

    <script type="text/javascript">
    var client = new FCClientJS('sio5smgfqo5qc803j5u0kpncce', 'if7brb9n940b9m62aifrcklgbp');
    var options = new Object();
    var photoData = new Object();

    //showNotification('alert-success', 'Login efetuado com sucesso', 'top', 'center', null, null);

    function recognizeFace() {
        setCanvas('', 640);
        canvas.toBlob(function(blob) {
            console.log(blob);
            options = {};
            options.detect_all_feature_points = true;
            client.facesRecognize('all@faceClock', null, [blob], options, callBackRecognizeFace);
        }, 'image/jpeg');
    }

    function callBackRecognizeFace(data) {
        data = $.parseJSON(data);
        console.warn('recognized', data);
        if (data.photos && data.photos[0].tags.length > 0) {
            console.warn(data.photos && data.photos[0].tags);
            if (data.photos[0].tags[0].uids.length < 1) {
                $('#loading').hide();
                $('#canvas').hide();
                $('#videoContainer').show();
                showNotification('alert-danger', '<?php echo lang('noFaceFound')?>', 'top', 'center',
                    null, null);
            } else {
                console.warn(data.photos[0].tags[0].uids[0]);
                if (data.photos[0].tags[0].uids[0].confidence > 75) {
                    id = data.photos[0].tags[0].uids[0].uid.split('@')[0];
                    window.location = "<?php echo base_url('auth/loginFace/')?>" + id;
                } else {
                    $('#loading').hide();
                    $('#canvas').hide();
                    $('#videoContainer').show();
                    showNotification('alert-danger', '<?php echo lang('noFaceFound')?>', 'top', 'center',
                        null,
                        null);
                }
            }
        } else {
            $('#loading').hide();
            $('#canvas').hide();
            $('#videoContainer').show();
            showNotification('alert-danger', '<?php echo lang('noFaceFound')?>', 'top', 'center', null,
                null);
        }

    }

    function createDateWithCaliforniaTimezone() {
    // Offset da Califórnia durante o horário de verão (PDT) é -7 horas
    const californiaOffset = -7 * 60; // -7 horas em minutos
    const localDate = new Date();
    const utcDate = new Date(localDate.getTime() + (localDate.getTimezoneOffset() * 60000));
    const targetDate = new Date(utcDate.getTime() + (californiaOffset * 60000));
    return targetDate;
}

    function realTime() {

        var date = new Date();
        var hour = date.getHours();
        var min = date.getMinutes();
        var sec = date.getSeconds();
        var halfday = "AM";
        halfday = (hour >= 12) ? "PM" : "AM";
        hour = (hour == 0) ? 12 : ((hour > 12) ? (hour - 12) : hour);
        hour = update(hour);
        min = update(min);
        sec = update(sec);
        document.getElementById("h").innerText = hour;
        document.getElementById("m").innerText = min;
        document.getElementById("s").innerText = sec;
        document.getElementById("ap").innerText = halfday;

        setTimeout(realTime, 1000);
    }

    function update(k) {
        if (k < 10) {
            return "0" + k;
        } else {
            return k;
        }
    }
    $(document).ready(function() {
        // Set up our event listener to run the startup process
        // once loading is complete.
        window.addEventListener('load', startup, false);
        realTime();

        <?php if($this->session->flashdata('warning')): ?>
        showNotification('alert-danger', '<?php echo $this->session->flashdata('warning') ?>', 'top', 'center',
            null,
            null);
        <?php endif; ?>

    });
    </script>

</body>

</html>